com.microfocus.zserver.zexplorer.ui.wizard

## Class CustomZServerWizardMainPage

- java.lang.Object
- - RSEDefaultNewConnectionWizardMainPage
  - - com.microfocus.zserver.zexplorer.ui.wizard.CustomZServerWizardMainPage

-     public class CustomZServerWizardMainPage
      extends RSEDefaultNewConnectionWizardMainPage

  Custom main wizard page of new "Micro Focus z/Server" connection.
  Author:
    Micro Focus

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `CustomZServerWizardMainPage.CustomConnectionNameValidator` Validator for connection name allowed characters.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CustomZServerWizardMainPage(org.eclipse.jface.wizard.IWizard pWizard, java.lang.String pTitle, java.lang.String pDescription)` Constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `canFlipToNextPage()`
    `void` | `createControl(org.eclipse.swt.widgets.Composite pParent)`
    `org.eclipse.jface.wizard.IWizardPage` | `getNextPage()`
    `SystemConnectionForm` | `getSystemConnectionForm()`
    `CustomZServerWizardPage` | `getWizardPage()` Returns the wizard page instance
    `boolean` | `isPageComplete()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CustomZServerWizardMainPage

          public CustomZServerWizardMainPage(org.eclipse.jface.wizard.IWizard pWizard,
                                             java.lang.String pTitle,
                                             java.lang.String pDescription)

      Constructor
      Parameters:
        `pWizard` - the wizard instance
        `pTitle` - the title for the page
        `pDescription` - description for the page

  - ### Method Detail

    - #### getSystemConnectionForm

          public SystemConnectionForm getSystemConnectionForm()

    - #### createControl

          public void createControl(org.eclipse.swt.widgets.Composite pParent)

    - #### isPageComplete

          public boolean isPageComplete()

    - #### getNextPage

          public org.eclipse.jface.wizard.IWizardPage getNextPage()

    - #### canFlipToNextPage

          public boolean canFlipToNextPage()

    - #### getWizardPage

          public CustomZServerWizardPage getWizardPage()

      Returns the wizard page instance
      Returns:
        the wizard page instance

Copyright © 2015 Micro Focus GmbH. All rights reserved.